/**********************************************************************
 
	Copyright (C) 2005- Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#include	"init.h"
#include	"memory_debug.h"
#include	"matrix.h"

void
minimum_matrix_init(int argc,char ** argv)
{
	init_xl(INI_DONTWAITCHI);
	init_favt64();
	init_function(
		gblisp_top_env0,
		gblisp_top_env1,
		argc,
		argv);
	int_handler = 0;

	init_matrix();
}
